// Arquivo de exemplo: QueueDequeue.cs
// Para compilar utilize: csc QueueDequeue.cs
using System;
using System.Collections.Generic;

public class Dequeue1 {
	public static void Main() {
		Queue<string> fila=new Queue<string>();
		fila.Enqueue("ASP.NET");
		fila.Enqueue("XML");
		fila.Enqueue("C#");
		fila.Dequeue();

		IEnumerator<string> enu=fila.GetEnumerator();
		while(enu.MoveNext()) 	{
			Console.WriteLine(enu.Current);
		}
		Console.Read();
	}
}
